import setuptools

# 读取README.md作为长描述
with open("README.md", "r") as f:
    long_description = f.read()

# 读取依赖列表requirements.txt
# 忽略#开头或者版本号不明确指定的条目
with open("requirements.txt", "r") as f:
    requirements = [
        req.strip()
        for req in f.readlines()
        if not req.startswith("#") and req.__contains__("==")
    ]

setuptools.setup(
    name="csst_common",
    version="0.0.1",
    author="Bo Zhang",
    author_email="bozhang@nao.cas.cn",
    description="The CSST L1 pipeline - common modules",  # short description
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://csst-tb.bao.ac.cn/code/csst-l1/csst_common",
    project_urls={
        "Source": "https://csst-tb.bao.ac.cn/code/csst-l1/csst_common",
    },
    packages=setuptools.find_packages(),
    license="MIT",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3.8",
        "Topic :: Scientific/Engineering :: Physics",
        "Topic :: Scientific/Engineering :: Astronomy",
    ],
    include_package_data=True,  # 设置包含随包数据
    package_data={  # 具体随包数据路径
        "csst_common": ["data/*"],
    },
    install_requires=requirements,
    python_requires=">=3.11",
)
